> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.walletstech.com/llms.txt.
> For full documentation content, see https://docs.walletstech.com/llms-full.txt.

# Update sell status

POST https://sell/status
Content-Type: application/json

Reference: https://docs.walletstech.com/api/sell/update-sell-status

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: collection
  version: 1.0.0
paths:
  /sell/status:
    post:
      operationId: update-sell-status
      summary: Update sell status
      tags:
        - subpackage_sell
      parameters:
        - name: X-AUTH-TOKEN
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Sell_Update sell status_Response_200'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PostSellStatusRequestInternalServerError'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                id:
                  type: integer
                status:
                  type: integer
              required:
                - id
                - status
servers:
  - url: https:/
components:
  schemas:
    Sell_Update sell status_Response_200:
      type: object
      properties:
        id:
          type: integer
        status:
          type: string
        message:
          type: string
      required:
        - id
        - status
        - message
      title: Sell_Update sell status_Response_200
    PostSellStatusRequestInternalServerError:
      type: object
      properties:
        id:
          type: integer
        gas:
          type: string
        rate:
          type: string
        c_type:
          type: string
        f_type:
          type: string
        status:
          type: string
        message:
          type: string
        c_amount:
          type: string
        f_amount:
          type: string
      required:
        - id
        - gas
        - rate
        - c_type
        - f_type
        - status
        - message
        - c_amount
        - f_amount
      title: PostSellStatusRequestInternalServerError
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-AUTH-TOKEN

```

## SDK Code Examples

```python Sell_Update sell status_example
import requests

url = "https://https/sell/status"

payload = {
    "id": 4,
    "status": 2
}
headers = {
    "X-AUTH-TOKEN": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Sell_Update sell status_example
const url = 'https://https/sell/status';
const options = {
  method: 'POST',
  headers: {'X-AUTH-TOKEN': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"id":4,"status":2}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Sell_Update sell status_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://https/sell/status"

	payload := strings.NewReader("{\n  \"id\": 4,\n  \"status\": 2\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("X-AUTH-TOKEN", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Sell_Update sell status_example
require 'uri'
require 'net/http'

url = URI("https://https/sell/status")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["X-AUTH-TOKEN"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"id\": 4,\n  \"status\": 2\n}"

response = http.request(request)
puts response.read_body
```

```java Sell_Update sell status_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://https/sell/status")
  .header("X-AUTH-TOKEN", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"id\": 4,\n  \"status\": 2\n}")
  .asString();
```

```php Sell_Update sell status_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://https/sell/status', [
  'body' => '{
  "id": 4,
  "status": 2
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-AUTH-TOKEN' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Sell_Update sell status_example
using RestSharp;

var client = new RestClient("https://https/sell/status");
var request = new RestRequest(Method.POST);
request.AddHeader("X-AUTH-TOKEN", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"id\": 4,\n  \"status\": 2\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Sell_Update sell status_example
import Foundation

let headers = [
  "X-AUTH-TOKEN": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "id": 4,
  "status": 2
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://https/sell/status")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```